<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index__"><span>_</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="globals_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all file members with links to the files they belong to:

<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>s
: <a class="el" href="polytest_8c.html#a27d9a0cff1341bbc004fabd1ad8a1543">polytest.c</a>
, <a class="el" href="Zpolytest_8c.html#a27d9a0cff1341bbc004fabd1ad8a1543">Zpolytest.c</a>
</li>
<li>same_string_p
: <a class="el" href="errors_8c.html#ac32f3590ee78925a812d8718f28e9a2b">errors.c</a>
</li>
<li>sameAffinepart()
: <a class="el" href="Lattice_8c.html#a6a82f4f5730f8c7b5b912e3a7b55dbb4">Lattice.c</a>
, <a class="el" href="Lattice_8h.html#a6a82f4f5730f8c7b5b912e3a7b55dbb4">Lattice.h</a>
</li>
<li>sameLattice()
: <a class="el" href="Lattice_8c.html#aec768b41c299f9545319f655a3d2fd1a">Lattice.c</a>
, <a class="el" href="Lattice_8h.html#aec768b41c299f9545319f655a3d2fd1a">Lattice.h</a>
</li>
<li>SameLinearPart()
: <a class="el" href="Lattice_8c.html#a7dbe994b4b5bceba74f68bc17ff7a129">Lattice.c</a>
</li>
<li>Sat
: <a class="el" href="polyparam_8c.html#a41ad9a1ceff17c92987e3d80dfbaccf4">polyparam.c</a>
</li>
<li>SatMatrix_Extend()
: <a class="el" href="polyhedron_8c.html#a5ac9c35c3c66e939e06110aca9a66590">polyhedron.c</a>
</li>
<li>SatVector_OR()
: <a class="el" href="polyhedron_8c.html#ab878a4f79f7c6fa2c95321aa905a101e">polyhedron.c</a>
</li>
<li>Scalar_product()
: <a class="el" href="ext__ehrhart_8c.html#a3c8687093fe77f61c70d3d52f2867a71">ext_ehrhart.c</a>
</li>
<li>scan_m_face()
: <a class="el" href="polyparam_8c.html#ada73886adcb8cc6d3e6f42555ed64689">polyparam.c</a>
</li>
<li>Scan_Vertices()
: <a class="el" href="ehrhart_8c.html#aecc29a697804903fb5526f4ebdd1993a">ehrhart.c</a>
</li>
<li>set_exception_callbacks()
: <a class="el" href="errors_8c.html#a93de4c04224b53c462a8bd9242edd3ed">errors.c</a>
</li>
<li>show_matrix
: <a class="el" href="matrix__addon_8h.html#a11468159c7fa7d75fadfa10e2e929fee">matrix_addon.h</a>
</li>
<li>SIGN
: <a class="el" href="source_2arith_2arithmetique_8h.html#a8c5ff70b6b28cd0157c50a22406f92c4">source/arith/arithmetique.h</a>
, <a class="el" href="include_2polylib_2arithmetique_8h.html#a8c5ff70b6b28cd0157c50a22406f92c4">include/polylib/arithmetique.h</a>
</li>
<li>simplex_arithmetic_error
: <a class="el" href="source_2arith_2arithmetique_8h.html#a381d67b7ee03ff84c242d6f342fa063c">source/arith/arithmetique.h</a>
, <a class="el" href="errors_8c.html#a381d67b7ee03ff84c242d6f342fa063c">errors.c</a>
, <a class="el" href="include_2polylib_2arithmetique_8h.html#a381d67b7ee03ff84c242d6f342fa063c">include/polylib/arithmetique.h</a>
</li>
<li>Simplify()
: <a class="el" href="Lattice_8c.html#a44a46c8b1440d9720fc95d48b3fce756">Lattice.c</a>
</li>
<li>SimplifyConstraints()
: <a class="el" href="polyhedron_8c.html#a967a5dd2175dd962c94c1d7ef0e9047b">polyhedron.c</a>
</li>
<li>SimplifyEqualities()
: <a class="el" href="polyhedron_8c.html#ae8a1aa65cd8281406d143e51a2be7563">polyhedron.c</a>
</li>
<li>size
: <a class="el" href="vector_8c.html#a439227feff9d7f55384e8780cfc2eb82">vector.c</a>
</li>
<li>SMAlloc()
: <a class="el" href="polyhedron_8c.html#a010deaa3d3f81aaa979f67bb0012d109">polyhedron.c</a>
, <a class="el" href="polyparam_8c.html#a010deaa3d3f81aaa979f67bb0012d109">polyparam.c</a>
</li>
<li>SMFree()
: <a class="el" href="polyhedron_8c.html#a367ed1d639627aa759b98db73cdfc4ef">polyhedron.c</a>
, <a class="el" href="polyparam_8c.html#ae775e630ac521bfe434fdf25d937d975">polyparam.c</a>
</li>
<li>Smith()
: <a class="el" href="NormalForms_8c.html#a1d5c5fdbd71ebc1eb2ce3f11ce9fbd5f">NormalForms.c</a>
, <a class="el" href="NormalForms_8h.html#a1d5c5fdbd71ebc1eb2ce3f11ce9fbd5f">NormalForms.h</a>
</li>
<li>smith()
: <a class="el" href="NormalForms_8c.html#a4524ad33f7159f7e0048a9c20735f9d8">NormalForms.c</a>
</li>
<li>SMPrint()
: <a class="el" href="polyhedron_8c.html#ae7ab7efd2892ac6c61e2acc8f1142f1c">polyhedron.c</a>
, <a class="el" href="polyparam_8c.html#ae7ab7efd2892ac6c61e2acc8f1142f1c">polyparam.c</a>
</li>
<li>SMVector_Copy
: <a class="el" href="polyhedron_8c.html#a224c6af52361d50af23a236949251a70">polyhedron.c</a>
</li>
<li>SMVector_Init
: <a class="el" href="polyhedron_8c.html#a3351961690e2b071105b7bb4be0b7127">polyhedron.c</a>
</li>
<li>SolveDiophantine()
: <a class="el" href="SolveDio_8h.html#a0f417a4dacdd52103cc96cbe93e038cb">SolveDio.h</a>
, <a class="el" href="SolveDio_8c.html#a0f417a4dacdd52103cc96cbe93e038cb">SolveDio.c</a>
</li>
<li>SortConstraints()
: <a class="el" href="polyhedron_8c.html#a0e3d47f133646ddcbb799914ac84dbcd">polyhedron.c</a>
</li>
<li>Soustraire_ligne()
: <a class="el" href="ext__ehrhart_8c.html#a5da79efdb8a7f801aaf7b6dfa3ce0d00">ext_ehrhart.c</a>
</li>
<li>split_constraints()
: <a class="el" href="matrix__addon_8h.html#a288db1ffeb5425aada82cabf5c824bc4">matrix_addon.h</a>
, <a class="el" href="matrix__addon_8c.html#a288db1ffeb5425aada82cabf5c824bc4">matrix_addon.c</a>
</li>
<li>SplitLattice()
: <a class="el" href="Lattice_8c.html#ac6634fecb03e1eff63369bcd63bebfd2">Lattice.c</a>
</li>
<li>SplitZpolyhedron()
: <a class="el" href="Zpolyhedron_8h.html#a78437f3fbab465d27271ef2928328995">Zpolyhedron.h</a>
, <a class="el" href="Zpolyhedron_8c.html#a78437f3fbab465d27271ef2928328995">Zpolyhedron.c</a>
</li>
<li>SRANGE
: <a class="el" href="verif__ehrhart_8c.html#a0529c3d24b479e7b3421e2ed293aa197">verif_ehrhart.c</a>
</li>
<li>st
: <a class="el" href="verif__ehrhart_8c.html#a35b567772b277e799ec7be04de19b2e7">verif_ehrhart.c</a>
</li>
<li>Stras_DomainSimplify()
: <a class="el" href="polyhedron_8h.html#a95a584b74e1fa94e39740fc4c4cf1bdb">polyhedron.h</a>
, <a class="el" href="polyhedron_8c.html#a95a584b74e1fa94e39740fc4c4cf1bdb">polyhedron.c</a>
</li>
<li>SubConstraint()
: <a class="el" href="polyhedron_8c.html#a1a9b9a572ee65d1c15aea3f9885dde7a">polyhedron.c</a>
, <a class="el" href="polyhedron_8h.html#a1a9b9a572ee65d1c15aea3f9885dde7a">polyhedron.h</a>
</li>
<li>swap_line()
: <a class="el" href="ext__ehrhart_8c.html#abda61bc491d1fb64ad027f1ece418e46">ext_ehrhart.c</a>
</li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
